IPSW-DIFF(1)

NAME
ipsw-diff - Diff IPSWs

SYNOPSIS
ipsw diff [flags]

DESCRIPTION
Diff IPSWs

OPTIONS
--allow-list=[]
    Filter MachO sections to diff (e.g. TEXT.text)

--block-list=[]
    Remove MachO sections to diff (e.g. TEXT.info_plist)

--feat[=false]
    Diff feature flags

--fw[=false]
    Diff other firmwares

-h, --help[=false]
    help for diff

--html[=false]
    Save diff as HTML file

-i, --in=""
    Path to IPSW .idiff file

--json[=false]
    Save diff as JSON file

-k, --kdk=[]
    Path to KDKs to diff

--launchd[=false]
    Diff launchd configs

-m, --markdown[=false]
    Save diff as Markdown file

-o, --output=""
    Folder to save diff output

--strs[=false]
    Diff MachO cstrings

-t, --title=""
    Title of the diff

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # Diff two IPSWs
    ❯ ipsw diff <old.ipsw> <new.ipsw> --fw --launchd --output <output/folder> --markdown
    # Diff two IPSWs with KDKs
    ❯ ipsw diff <old.ipsw> <new.ipsw> --output <output/folder> --markdown
    	--kdk /Library/Developer/KDKs/KDK_15.0_24A5264n.kdk/System/Library/Kernels/kernel.release.t6031
    	--kdk /Library/Developer/KDKs/KDK_15.0_24A5279h.kdk/System/Library/Kernels/kernel.release.t6031
    # Use a previously saved .idiff file
    ❯ ipsw diff --in <path/to/.idiff> --output <output/folder> --markdown

SEE ALSO
ipsw(1)

HISTORY
26-Nov-2024 Auto generated by spf13/cobra